perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From h...@welinux.cl
Subject Re: mod_perl 1.0 Compilation on Linux Ubuntu
Date Wed, 17 Jun 2009 22:25:52 GMT
Philipe,

Since your response i recheck the build process. 

I tried to compile just apache 1.3.39 alone, and it didn't work too. This show me the fact
that the problem i was experiencing was apache related and not specific to mod_perl.

The problem where really sneaky because it was caused by the spaces in the name of a parent
folder. This impacted in different ways in mod_perl and apache build process.

The instructions of mod_perl site suffice and are fine, sorry for the post (but beware of
spaces in folder names).

wget http://perl.apache.org/dist/mod_perl-1.0-current.tar.gz
wget http://apache.freeby.pctools.cl/httpd/apache_1.3.41.tar.gz

tar xzf apache_1.3.41.tar.gz
tar xzf mod_perl-1.0-current.tar.gz

cd mod_perl-1.31/
perl Makefile.PL DO_HTTPD=1 USE_APACI=1 EVERYTHING=1
make && sudo make install

In any case the usual fixes mentioned in the first email must be ran in ubuntu.

Thank you 
Hans


----- hans@welinux.cl escribió:

> Hi,
> 
> I'm having trouble compiling mod_perl on latest ubuntu (Jaunty), i've
> tried the latest version of mod_perl: 1.31 and apache: 1.3.41 without
> success, then i downgraded to some older versions once i was able to
> build: mod_perl.1.30 and apache 1.3.39, without success too.
> 
> The problem is that after doing perl Makefile.PL DO_HTTPD=1
> USE_APACI=1 EVERYTHING=1
> 
> I get the following error:
> 
> ** A test compilation with your Makefile configuration
> ** failed.  The below error output from the compilation
> ** test will give you an idea what is failing. Note that
> ** Apache requires an ANSI C Compiler, such as gcc. 
> 
> ======== Error Output for sanity check ========
> cd ..; cc  -DLINUX=22 -DMOD_PERL -DUSE_PERL_SSI -D_REENTRANT  -DDEBIAN
> -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE
> -D_FILE_OFFSET_BITS=64 -DUSE_HSREGEX -DNO_DL_NEEDED -D_REENTRANT
> -DDEBIAN -fno-strict-aliasing -pipe -I/usr/local/include
> -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 `./apaci` -I.
> -I/usr/lib/perl/5.10/CORE    -o helpers/dummy helpers/dummy.c   -lm
> -Wl,-E  -L/usr/local/lib  -L/usr/lib/perl/5.10/CORE -lperl -ldl -lm
> -lpthread -lc -lcrypt 
> ============= End of Error Report =============
> 
>  Aborting!
> 
> The message is not clear (to me at least) to where the problem may be,
> in any case i've rechecked all the requirements, and they look fine.
> 
> I've facing this problem before, and i wrote a little script/tutorial
> with tips for building from source on Ubuntu:
> 
> #!/bin/sh
> 
> tar xzf mod_perl-1.0-current.tar.gz
> tar xzf apache_1.3.39.tar.gz
> 
> cd mod_perl-1.30/
> perl Makefile.PL APACHE_SRC=../apache_1.3.39/src NO_HTTPD=1
> USE_APACI=1 \
> PREP_HTTPD=1 EVERYTHING=1
> make
> 
> # cd ..
> 
> # Ubuntu optional
> sudo rm -f /bin/sh;
> sudo ln -s /bin/bash /bin/sh
> sudo ln -s /usr/lib/libperl.so.5.8.8 /usr/lib/libperl.so
> sudo ln -s /usr/lib/libgdbm.so.3.0.0 /usr/lib/libgdbm.so
> 
> cd ../apache_1.3.39
> ./configure --activate-module=src/modules/perl/libperl.a \
>  --disable-rule=EXPAT
> 
> sudo killall -TERM httpd
> make && sudo make install
> 
> cd ../mod_perl-1.30/
> sudo make install
> 
> 
> Any help will be appreciated.
> 
> Thanks
> Hans
>  
> 
> -- 
> Hans Poo, WeLinux S.A.
> Oficina: 697.25.42, Celular: 09-319.93.05
> Bombero Ossa # 1010, Santiago

-- 
Hans Poo, WeLinux S.A.
Oficina: 697.25.42, Celular: 09-319.93.05
Bombero Ossa # 1010, Santiago


Mime
View raw message